h4 {
    margin-bottom: 1em;
}

.main-text {
    font-size: 1.3em;
}

.bank-details {
    border-radius: 1rem;
    padding: 1rem;
    background-color: var(--color-white);
    border: solid 1px var(--border-color);
}

.bank-method .title {
    font-size: 1.3em;
    margin-bottom: 1em;
    color: var(--heading-color);
}

.bank-details-container{
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 1.5rem 1rem;
}

.bank-details-container > * {
    flex: 1;
}

.details-grid {
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 0.75rem 1.5rem;
    font-size: 0.95rem;
}

.label {
    text-align: right;
}

.value {
    font-family: "Courier New", monospace;
}

.smaller-text {
    display: inline-block;
    font-size: 0.7em;
    transform: translateY(-0.5em);
}

.qr-code {
    display: flex;
    justify-content: center;
    align-items: center;
}

.qr-code img {
    border-radius: 0.5rem;
    height: 15rem;
}

.emoji {
    width: 1.7em;
    height: 1.7em;
    vertical-align: -0.4em;
}

/* Mobile */
@media (max-width: 992px) {
    .bank-details-container {
        flex-direction: column;
    }

    .details-grid {
        grid-template-columns: 1fr;
        gap: 0.5rem;
    }

    .label {
        text-align: left;
        font-weight: 600;
    }

    .bank-method .title {
        margin-bottom: 0.5rem;
    }
}